zenilib: TranslatorESSL Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | List of all members
TranslatorESSL Class Reference

`#include <TranslatorESSL.h>`

Inherits TCompiler.

## Public Member Functions

| TranslatorESSL (ShShaderType type, ShShaderSpec spec)
Public Member Functions inherited from TCompiler
| TCompiler (ShShaderType type, ShShaderSpec spec)
virtual | ~TCompiler ()
bool | compile (const char *const shaderStrings[], size_t numStrings, int compileOptions)
virtual TCompiler * | getAsCompiler ()
const TVariableInfoList & | getAttribs () const
ShHashFunction64 | getHashFunction () const
TInfoSink & | getInfoSink ()
int | getMappedNameMaxLength () const
NameMap & | getNameMap ()
TSymbolTable & | getSymbolTable ()
const TVariableInfoList & | getUniforms () const
bool | Init (const ShBuiltInResources &resources)
Public Member Functions inherited from TShHandleBase
| TShHandleBase ()
virtual | ~TShHandleBase ()
virtual TranslatorHLSL * | getAsTranslatorHLSL ()

## Protected Member Functions

virtual void | translate (TIntermNode *root)
Protected Member Functions inherited from TCompiler
void | clearResults ()
void | collectAttribsUniforms (TIntermNode *root)
bool | detectCallDepth (TIntermNode *root, TInfoSink &infoSink, bool limitCallStackDepth)
bool | enforceFragmentShaderTimingRestrictions (const TDependencyGraph &graph)
bool | enforcePackingRestrictions ()
bool | enforceTimingRestrictions (TIntermNode *root, bool outputGraph)
bool | enforceVertexShaderTimingRestrictions (TIntermNode *root)
const ArrayBoundsClamper & | getArrayBoundsClamper () const
ShArrayIndexClampingStrategy | getArrayIndexClampingStrategy () const
const BuiltInFunctionEmulator & | getBuiltInFunctionEmulator () const
const TExtensionBehavior & | getExtensionBehavior () const
const ShBuiltInResources & | getResources () const
ShShaderSpec | getShaderSpec () const
ShShaderType | getShaderType () const
bool | InitBuiltInSymbolTable (const ShBuiltInResources &resources)
bool | limitExpressionComplexity (TIntermNode *root)
void | mapLongVariableNames (TIntermNode *root)
void | rewriteCSSShader (TIntermNode *root)
bool | validateLimitations (TIntermNode *root)

## Additional Inherited Members

Protected Attributes inherited from TShHandleBase
TPoolAllocator | allocator

## Detailed Description

Definition at line 12 of file TranslatorESSL.h.

## Constructor & Destructor Documentation

TranslatorESSL::TranslatorESSL | ( | ShShaderType | type,
|  | ShShaderSpec | spec
| ) |  |

Definition at line 11 of file TranslatorESSL.cpp.

## Member Function Documentation

void TranslatorESSL::translate | ( | TIntermNode * | root | ) |

protectedvirtual

Implements TCompiler.

Definition at line 15 of file TranslatorESSL.cpp.

References TCompiler::getArrayBoundsClamper(), TCompiler::getArrayIndexClampingStrategy(), TCompiler::getBuiltInFunctionEmulator(), TCompiler::getHashFunction(), TCompiler::getInfoSink(), TCompiler::getNameMap(), TCompiler::getShaderType(), TCompiler::getSymbolTable(), TInfoSink::obj, ArrayBoundsClamper::OutputClampingFunctionDefinition(), BuiltInFunctionEmulator::OutputEmulatedFunctionDefinition(), SH_FRAGMENT_SHADER, and TIntermNode::traverse().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/TranslatorESSL.h
- zenilib/jni/external/angle/src/compiler/TranslatorESSL.cpp